package com.resteasy.series.headerparam;

import javax.ws.rs.GET;
import javax.ws.rs.HeaderParam;
import javax.ws.rs.Path;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.HttpHeaders;
import javax.ws.rs.core.Response;

@Path("/customer")
public interface ICustomerService {

	// http://localhost:8080/RestEasy-HeaderParam/resteasy/customer/getheader - Tomcat 7.0.x
	// http://localhost:9090/RestEasy-HeaderParam/resteasy/customer/getheader - JBoss AS7
	@GET
	@Path("getheader")
	public Response getHeaderDetails(
			@HeaderParam("User-Agent") String userAgent,
			@HeaderParam("Content-Type") String contentType,
			@HeaderParam("Accept") String accept
			);

	// http://localhost:8080/RestEasy-HeaderParam/resteasy/customer/getallheader - Tomcat 7.0.x
	// http://localhost:9090/RestEasy-HeaderParam/resteasy/customer/getallheader - JBoss AS7
	@GET
	@Path("getallheader")
	public Response getAllHeader(@Context HttpHeaders httpHeaders);
}	